AppAIGatewayDocs
API referenceConsole authentication

Start optional Google sign-in

POST
/v1/auth/sign-in/social

Available only when GOOGLE_CLIENT_ID and GOOGLE_CLIENT_SECRET are configured. Send provider=google in the JSON body, with optional success and error callback URLs. The console uses callbackURL to restore its destination and errorCallbackURL to return to sign-in with the error. Navigate the browser to the URL in the JSON response to continue the Google flow.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/auth/sign-in/social" \  -H "Content-Type: application/json" \  -d '{    "provider": "google"  }'
{  "url": "http://example.com",  "redirect": true}